/// <reference types="node" />
import fs from 'fs';
export interface OutFileInfo {
    format: 'jpeg';
    width: number;
    height: number;
    channels: number;
    size: number;
}
export declare function convertStreamToArrangedFile(srcFileStream: fs.ReadStream, destFilePath: string, maxWidth: number, maxHeight: number): Promise<OutFileInfo>;
export declare function convertToScaledFile(srcFilePath: string, destFilePath: string, crop: boolean, maxWidth: number, maxHeight: number): Promise<OutFileInfo>;
